Zadig 文档
Zadig
教程
博客
论坛
关于
中文英文
Zadig
教程
博客
论坛
关于
Zadig v4.2
Loading...
     编辑文档
     反馈问题
     社区讨论

    本页导航

    Image Registry

    # Integrate Image Registry

    Request

    POST /openapi/system/registry
    
    1

    Body Parameter Description

    Parameter NameDescriptionTypeRequired
    addressImage registry address, must include protocolstringYes
    providerImage registry provider, including the following providers:
    acr:Alibaba Cloud ACR
    tcr:Tencent Cloud TCR
    swr:Huawei Cloud SWR
    ecr:Amazon ECR
    dockerhub:DockerHub
    harbor:Harbor
    nexus:Nexus
    native:Other types
    stringYes
    regionImage registry region informationstringRequired when provider = ecr
    namespaceImage registry namespacestringYes
    is_defaultWhether to set as default, only one default image registry can exist in the systemboolYes
    access_keyImage registry Access KeystringYes
    secret_keyImage registry Secret KeystringYes
    enable_tlsWhether to enable SSL verificationboolNo
    tls_certTLS certificate contentstringRequired when enable_tls = true

    Body Parameter Example

    {
        "address": "https://*****.tencentcloudcr.com",
        "provider": "tcr",
        "namespace": "zadigx",
        "is_default": true,
        "access_key": "*********",
        "secret_key": "*********",
        "enable_tls": true,
        "tls_cert": "*********"
    }
    
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10

    Response

    {
      "message": "success"
    }
    
    1
    2
    3

    # List Image Registry Information

    Request

    GET /openapi/system/registry
    
    1

    Success Response Description

    Parameter NameDescriptionType
    registry_idImage registry IDstring
    addressImage registry address, must include protocolstring
    providerImage registry provider, including the following providers:
    acr:Alibaba Cloud ACR
    tcr:Tencent Cloud TCR
    swr:Huawei Cloud SWR
    ecr:Amazon ECR
    dockerhub:DockerHub
    harbor:Harbor
    nexus:Nexus
    native:Other types
    string
    regionImage registry region information, meaningful when provider is ecrstring
    namespaceImage registry namespacestring
    is_defaultWhether it's the default image registry. Note: only one default image registry can exist at a timebool

    Success Response Example

    [
        {
            "registry_id":"6308815592****995e813035",
            "address": "https://****.***.tencentyun.com",
            "provider": "native",
            "region": "",
            "namespace": "koderover-**",
            "is_default": false
        },
        {
            "registry_id":"630c7ad****30c131062e245",
            "address": "https://***.tencentcloudcr.com",
            "provider": "tcr",
            "region": "",
            "namespace": "t***",
            "is_default": true
        },
    ]
    
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18

    # Get Specified Image Registry Information

    Request

    GET /openapi/system/registry/:id
    
    1

    Path Parameter Description

    Parameter NameTypeDescriptionRequiredDefault
    idstringImage registry primary keyYesNone

    Success Response Description

    Parameter NameDescriptionType
    registry_idImage registry IDstring
    addressImage registry address, must include protocolstring
    providerImage registry provider, including the following providers:
    acr:Alibaba Cloud ACR
    tcr:Tencent Cloud TCR
    swr:Huawei Cloud SWR
    ecr:Amazon ECR
    dockerhub:DockerHub
    harbor:Harbor
    nexus:Nexus
    native:Other types
    string
    regionImage registry region information, meaningful when provider is ecrstring
    namespaceImage registry namespacestring
    is_defaultWhether it's the default image registry. Note: only one default image registry can exist at a timebool

    Success Response Example

    {
        "registry_id":"6308815592****995e813035",
        "address": "https://****.***.tencentyun.com",
        "provider": "native",
        "region": "",
        "namespace": "koderover-**",
        "is_default": false
    }
    
    1
    2
    3
    4
    5
    6
    7
    8

    # Update Specified Image Registry Information

    Request

    PUT /openapi/system/registry/:id
    
    1

    Path Parameter Description

    Parameter NameTypeDescriptionRequiredDefault
    idstringImage registry primary keyYesNone

    Body Parameter Description

    Parameter NameDescriptionType
    registry_idImage registry IDstring
    addressImage registry address, must include protocolstring
    providerImage registry provider, including the following providers:
    acr:Alibaba Cloud ACR
    tcr:Tencent Cloud TCR
    swr:Huawei Cloud SWR
    ecr:Amazon ECR
    dockerhub:DockerHub
    harbor:Harbor
    nexus:Nexus
    native:Other types
    string
    regionImage registry region information, meaningful when provider is ecrstring
    namespaceImage registry namespacestring
    is_defaultWhether it's the default image registry. Note: only one default image registry can exist at a timebool

    Body Parameter Example

    {
        "registry_id":"6308815592****995e813035",
        "address": "https://****.***.tencentyun.com",
        "provider": "native",
        "region": "",
        "namespace": "koderover-**",
        "is_default": false
    }
    
    1
    2
    3
    4
    5
    6
    7
    8

    Success Response Description

    {message: "success"}
    
    1

    ← ClusterPerformance Insight→

    资源
    教程
    论坛
    博客
    公司
    关于
    客户故事
    加入我们
    联系我们
    微信扫一扫
    hello@koderover.com

    © 2026 筑栈(上海)信息技术有限公司 沪 ICP 备 19000177 号 - 1

    •  跟随系统
    •  浅色模式
    •  深色模式
    •  阅读模式